/* import.h
 * This file belongs to Worker, a filemanager for UNIX/X11.
 * Copyright (C) 2001-2004 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Id: import.h,v 1.6 2004/10/27 21:07:43 ralf Exp $ */

#ifndef IMPORT_H
#define IMPORT_H

#include "wconfig.h"

#define COMNR 34
#define FLAGNR 38
#define UFLAGNR 21

#define USER 0
#define QUIT 1
#define COPY 2
#define MOVE 3
#define DELETE 4
#define MAKEDIR 5
#define RENAME 6
#define SELECTALL 7
#define SELECTNONE 8
#define INVERT 9
#define RELOAD 10
#define PREVITEM 11
#define NEXTITEM 12
#define PARENT 13
#define GODIR 14
#define FIRSTITEM 15
#define LASTITEM 16
#define PAGEUP 17
#define PAGEDOWN 18
#define SELECT 19
#define MAIN_FUNC 20
#define RUNPROGRAM 21
#define LISTEROPTIONS 22
#define LISTERSCROLLLEFT 23
#define LISTERSCROLLRIGHT 24
#define FILTERSELECT 25
#define DIRSIZE 26
#define CREATESYMLINK 27
#define CHANGESYMLINK 28
#define CHANGEMOD 29
#define TOGGLEINFOMODE 30
#define SEARCHENTRY 31
#define PATH2OTHERLISTER 32
#define ENTERPATH 33

#define DNDACTION_NUMBER 0
#define DOUBLECLICKACTION_NUMBER 1
#define SHOWACTION_NUMBER 2
#define RAWSHOWACTION_NUMBER 3
#define USERACTION_NUMBER 4
#define ROWUP_NUMBER 5
#define ROWDOWN_NUMBER 6
#define CHANGEHIDDENFLAG_NUMBER 7
#define COPYOP_NUMBER 8
#define FIRSTROW_NUMBER 9
#define LASTROW_NUMBER 10
#define PAGEUP_NUMBER 11
#define PAGEDOWN_NUMBER 12
#define SELECTOP_NUMBER 13
#define SELECTALLOP_NUMBER 14
#define SELECTNONEOP_NUMBER 15
#define INVERTALLOP_NUMBER 16
#define PARENTDIROP_NUMBER 17
#define ENTERDIROP_NUMBER 18
#define CHANGELISTERSETOP_NUMBER 19
#define SWITCHLISTEROP_NUMBER 20
#define FILTERSELECTOP_NUMBER 21
#define FILTERUNSELECTOP_NUMBER 22
#define PATH2OSIDEOP_NUMBER 23
#define QUITOP_NUMBER 24
#define DELETEOP_NUMBER 25
#define RELOADOP_NUMBER 26
#define MAKEDIROP_NUMBER 27
#define OWNOP_NUMBER 28
#define RENAMEOP_NUMBER 29
#define DIRSIZEOP_NUMBER 30
#define SIMDDOP_NUMBER 31
#define STARTPROGOP_NUMBER 32
#define SEARCHENTRYOP_NUMBER 33
#define ENTERPATHOP_NUMBER 34
#define SCROLLLISTEROP_NUMBER 35
#define CREATESYMLINKOP_NUMBER 36
#define CHANGESYMLINKOP_NUMBER 37
#define CHMODOP_NUMBER 38
#define TOGGLELISTERMODEOP_NUMBER 39
#define SETSORTMODEOP_NUMBER 40
#define SETFILTEROP_NUMBER 41
#define SHORTKEYFROMLISTOP_NUMBER 42
#define CHOWNOP_NUMBER 43
#define SCRIPTOP_NUMBER 44
#define SHOWDIRCACHEOP_NUMBER 45

#endif

